org.eclipse.actf.model.flash.bridge

## Interface IWaXcoding

    public interface IWaXcoding

Interface to manage Proxy for Flash bridge.

### Method Summary

Methods
`int` `getPort()` Get proxy port
`String` `getSecret(String id, boolean remove)` Get secret String that is used for confirmation of correct server-client combination
`void` `setExternalProxy(String host, int port)` Set external proxy information
`void` `setExternalProxyFlag(boolean flag)` Set boolean value to specify if HTTPProxy needs to use an external proxy
`void` `setMaxConnection(int connections)` Set maximum connection number of the proxy
`void` `setPort(int port)` Set proxy port
`void` `setSWFBootloader(InputStream is)` Set `InputStream` of SWF boot loader
`void` `setSWFBootloaderFlag(boolean flag)` Set boolean value to specify if Proxy needs to use SWF boot loader
`void` `setSWFBootloaderV9(InputStream is)`
`void` `setSWFBridgeInit(InputStream is)` Set `InputStream` of SWF bridge
`void` `setSWFBridgeInitV9(InputStream is)`
`void` `setSWFTranscodingFlag(boolean flag)` Set boolean value to specify if Proxy needs to use `ISwfTranscoder`
`void` `setSWFTranscodingImposedFile(InputStream is)` Set `InputStream` for Object that will be imposed by `ISwfTranscoder`
`void` `setSWFTranscodingMinimumVersion(int version)` Set minimum version of target SWF content
`void` `setTimeout(int timeout)` Set time out value of the proxy
`boolean` `start(boolean initLogger)` Start proxy
`boolean` `stop()` Stop proxy

### Method Detail

#### start

    boolean start(boolean initLogger)

Start proxy

Parameters:
  `initLogger` - if true, start logging together
Returns:
  true ifsucceeded

#### stop

    boolean stop()

Stop proxy

Returns:
  true if succeeded

#### getSecret

    String getSecret(String id,
                   boolean remove)

Get secret String that is used for confirmation of correct server-client combination

Parameters:
  `id` - target key to obtain the secret
  `remove` - if true, the secret will be removed after invoking this method
Returns:
  secret, or null if the corresponding value is not available for the target key
See Also:
  `ISecretManager`

#### setPort

    void setPort(int port)

Set proxy port

Parameters:
  `port` - target port number
See Also:
  `ProxyConfig.setPort(int)`

#### getPort

    int getPort()

Get proxy port

Returns:
  port number

#### setExternalProxyFlag

    void setExternalProxyFlag(boolean flag)

Set boolean value to specify if HTTPProxy needs to use an external proxy

Parameters:
  `flag` - true to use external proxy
See Also:
  `ExternalProxyConfig`

#### setExternalProxy

    void setExternalProxy(String host,
                        int port)

Set external proxy information

Parameters:
  `host` - proxy host
  `port` - proxy port
See Also:
  `ExternalProxyConfig.setExternalProxy(String, int)`

#### setMaxConnection

    void setMaxConnection(int connections)

Set maximum connection number of the proxy

Parameters:
  `connections` - maximum connection number
See Also:
  `ProxyConfig.setMaxConnection(int)`

#### setTimeout

    void setTimeout(int timeout)

Set time out value of the proxy

Parameters:
  `timeout` - time out value
See Also:
  `ProxyConfig.setTimeout(int)`

#### setSWFBootloaderFlag

    void setSWFBootloaderFlag(boolean flag)

Set boolean value to specify if Proxy needs to use SWF boot loader

Parameters:
  `flag` - true to use boot loader

#### setSWFBootloader

    void setSWFBootloader(InputStream is)

Set `InputStream` of SWF boot loader

Parameters:
  `is` - target `InputStream`

#### setSWFBridgeInit

    void setSWFBridgeInit(InputStream is)

Set `InputStream` of SWF bridge

Parameters:
  `is` - target `InputStream`

#### setSWFTranscodingFlag

    void setSWFTranscodingFlag(boolean flag)

Set boolean value to specify if Proxy needs to use `ISwfTranscoder`

Parameters:
  `flag` - true to use boot loader

#### setSWFTranscodingMinimumVersion

    void setSWFTranscodingMinimumVersion(int version)

Set minimum version of target SWF content

Parameters:
  `version` - minimum version of target SWF content

#### setSWFTranscodingImposedFile

    void setSWFTranscodingImposedFile(InputStream is)

Set `InputStream` for Object that will be imposed by `ISwfTranscoder`

Parameters:
  `is` - target `InputStream`
See Also:
  `ISwfTranscoder.impose(Object, Object)`

#### setSWFBootloaderV9

    void setSWFBootloaderV9(InputStream is)

#### setSWFBridgeInitV9

    void setSWFBridgeInitV9(InputStream is)